Subject: snmpconf RE: Policy issues: definition of Roles

From: Shai Herzog <[email-masked]>
Date: Tue, 08 Feb 2000 14:56:54 -0500

At 12:52 PM 02/08/2000, [email-masked] wrote:
> >So, the role isn't a selector in the schema (although simple schema may
> >use it) it is also not a selector at the PDP, but only a selector
> >for the PEP to advertise the kind of roles it has, and receive policy
> >for each one of its roles.
>
>
>I do not understand why roles are not used at the PDP.
>I thought that roles was the way the PDP determined
>which policies needed to be applied to the PEPs it was
>dealing with.

Of course the PDP uses them, but only the way they are created by
the PEP. The PDP has two sides to it, one that understands PEP stuff
(hence uses Roles) and the other that understands schemas (no roles
required).

>In fact I was thinking that roles where the main link
>between policies and the objects they affected, no matter
>were in the architecture this occurs (e.g. at the PDP).

Absolutely. See my previous message (sent after you sent this one).

I think we are in Sync.

Shai

>Regards,
>
>a.
>-----------------------------------
>avri doria
>Office: +1 781 993 4645
>Mobile: +1 781 308 7680
>

__________________________________________________________________
Shai Herzog, Founder & CTO   IPHighway Inc.   Tel : (914) 654-4810
55 New York Avenue                            Main: (508) 620-1141
Framingham, MA 01701                          Fax : (212) 656-1006